com.informix.jdbcx

## Class IfxConnectionPoolDataSourceFactory

- java.lang.Object
- - com.informix.jdbcx.IfxConnectionPoolDataSourceFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

    public class IfxConnectionPoolDataSourceFactory
    extends java.lang.Object
    implements javax.naming.spi.ObjectFactory

### Constructor Summary

Constructors
Constructor and Description
`IfxConnectionPoolDataSourceFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context ctx, java.util.Hashtable<?,?> env)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxConnectionPoolDataSourceFactory

    public IfxConnectionPoolDataSourceFactory()

### Method Detail

#### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context ctx,
                                              java.util.Hashtable<?,?> env)
                                       throws java.lang.Exception

Specified by:
  `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
Throws:
  `java.lang.Exception`